"use client"
import React, { useState } from "react";
import Image from 'next/image';
import Link from 'next/link';
import { IoCloseOutline } from "react-icons/io5";
import { HiBars2 } from "react-icons/hi2";


const Header = () => {
    const text = "Donut worry about things";
    const Letter = text.split("");

    const [nav, setNav] = useState(false);
    const links = [
        {
            id: 1,
            link: "home",
        },
        {
            id: 2,
            link: "menu",
        },
        {
            id: 3,
            link: "about",
        },
        {
            id: 4,
            link: "contact",
        },
        {
            id: 5,
            link: "login",
        },
    ];


  return (
    <div className='w-full h-full bg-[#FDE2DE]'>
        <div className='flex flex-row justify-between md:flex-col gap-14 items-center py-5 md:py-10 px-5 md:px-8 lg:px-10'>
            <div className='flex justify-center relative px-4'>
                <div className='mt-5 md:mt3 flex flex-col items-center'>
                    <Image src='/logo.png' width={120} height={120} alt='' className='w-[100px]'/>
                </div>
                <div className='circle absolute mt-10'>
                    {Letter.map((item, index) => {
                        return (
                        <span key={index} className="letter inline-block absolute -top-[50px] md:-top-[70px] text-xs text-[#95743D]" style={{transform: `rotate(${index * 14.5}deg)`}}>{item}</span>
                        );
                    })}
                </div>
            </div>
            <div className="flex justify-end md:justify-center items-center w-full text-white  nav">
                <ul className="hidden md:flex border border-[#E78895] rounded-full">
                    {links.map(({ id, link }) => (
                    <li key={id} className="px-6 py-3 cursor-pointer text-xs font-semibold uppercase text-[#95743D] relative hover:text-[#FDE2DE] hover:bg-[#E78895] rounded-full duration-300">
                        <Link href={link}>{link}</Link>
                    </li>
                    ))}
                </ul>
                <div onClick={() => setNav(!nav)} className="cursor-pointer pr-4 z-10 text-[#95743D] md:hidden"> {nav ? <IoCloseOutline size={30} /> : <HiBars2 size={30} />}</div>
                {nav && (
                    <ul className="flex flex-col justify-center items-center absolute top-0 left-0 w-full h-screen bg-gradient-to-b from-[#f8cdc6] to-[#FDE2DE] text-[#95743D]">
                        {links.map(({ id, link }) => (
                            <li key={id} className="px-4 cursor-pointer capitalize py-6 text-4xl">
                                <Link onClick={() => setNav(!nav)} href={link}>{link}</Link>
                            </li>
                        ))}
                    </ul>
                )}
            </div>
        </div>
    </div>
  )
}

export default Header